Imports System.Runtime.InteropServices
Imports System.Environment
Imports System.Security.Principal


Public Class HIdentity
    'Inherits System.Windows.Forms.Form
    Private m_User As New WindowsPrincipal(WindowsIdentity.GetCurrent)

    Public Function GetOS() As String
        Dim os As OperatingSystem = Environment.OSVersion
        Dim sOs As String
        sOs = os.Version.ToString
        If (sOs.Length() > 2) Then
            sOs = sOs.Substring(0, 3)
            Select Case sOs
                Case "5.0"
                    sOs = "Windows 2000"
                Case "5.1"
                    sOs = "Windows XP"
                Case Else
                    sOs = "Unbekannt"
            End Select
        End If
        Return sOs
    End Function

    Public Function GetFullOS() As String
        Dim os As OperatingSystem = Environment.OSVersion
        Return os.Version.ToString
    End Function

    Public ReadOnly Property GetUserName() As String
        Get
            Return UserName
        End Get
    End Property

    Public ReadOnly Property GetClientName() As String
        Get
            Return MachineName
        End Get
    End Property

    Public ReadOnly Property DomainName() As String
        Get
            Return UserDomainName
        End Get
    End Property

    Public ReadOnly Property GetUserIdentityName() As String
        Get
            Return m_User.Identity.Name
        End Get
    End Property

    Public ReadOnly Property IsAuthenticated() As String
        Get
            Return m_User.Identity.IsAuthenticated.ToString
        End Get
    End Property

    Public ReadOnly Property AuthenticationType() As String
        Get
            Return m_User.Identity.AuthenticationType
        End Get
    End Property

End Class
